Customersv1Signatories
Invite Signatory
Handler: InviteSignatories. Returns { message } on 200.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token obtained from /v1/authenticate endpoint
In: header
Path Parameters
id*string
id path parameter
id*string
Customer UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Body of POST /v1/customers/{id}/signatories/invite — a JSON array of invite entries.
[index: integer]?
One signatory invite entry.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/signatories/invite" \ -H "Content-Type: application/json" \ -d '[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com" } ]'{
"message": "string"
}{
"status": 400,
"message": "Bad request"
}{
"status": 401,
"message": "Unauthorized"
}{
"status": 403,
"message": "Forbidden"
}{
"status": 404,
"message": "Not found"
}{
"status": 500,
"message": "Internal server error"
}